<!--home.html-->
{%extends "article_feeds/base.html"%}
{%block content%}
{% load bootstrap_pagination %}
&nbsp;&nbsp;
<div class="row">
  <div class="col-sm-6">
    <div class="card">
      <div class="card-body">
        <h5 class="card-title">Create Article</h5>
        <p class="card-text"></p>
        <a href="/create" class="btn btn-primary">Create</a>
      </div>
    </div>
  </div>
  <div class="col-sm-6">
    <div class="card">
      <div class="card-body">
        <h5 class="card-title">Your Article</h5>
        <p class="card-text"></p>
        <a href="/article" class="btn btn-primary">Article</a>
      </div>
    </div>
  </div>
</div>
&nbsp;&nbsp;
<div class="row">
  <div class="col-sm-6">
    <div class="card">
      <div class="card-body">
        <h5 class="card-title">Manage your account</h5>
        <p class="card-text"></p>
        <a href="/manage" class="btn btn-primary">Account</a>
      </div>
    </div>
  </div>
  <div class="col-sm-6">
    <div class="card">
      <div class="card-body">
        <h5 class="card-title">Change Password</h5>
        <p class="card-text"></p>
        <a href="/accounts/password_change/" class="btn btn-primary">Password</a>
      </div>
    </div>
  </div>
</div>
&nbsp;&nbsp;
<div class="alert alert-info" role="alert">
  List of article based on your choices!
</div>
{% for article in page_obj %}
  <div class="card">
    <div class="card-header">
      <span class="font-weight-bold">{{ article.title }}</span> &middot;
      <span class="text-muted">by {{ article.author }} |
        {{ article.date_created }}
      </span>
    </div>
  <div class="card-body">
    {{ article.body|truncatechars:500 }}
  </div>
  <div class="card-footer text-center text-muted">
    <a href="{{article.id}}/detail">View</a>
  </div>
</div>
<br />
{% endfor %}
<div class="pagination justify-content-center">
  {% bootstrap_paginate page_obj %}
</div>

{% endblock content %}
